me="`basename \"$0\" .sh`"

#abmail_flags='-b -g'
#abmail_flags='-b -g --sm-client'
#abmail_flags='-b -g -MM=8'
#abmail_flags='-b -g -d -MM=8 --sm-client'
abmail_flags='-b -g -MM=8 --sm-client'

./abmail ${abmail_flags} -D < /dev/null | ${PAGER:-less}

cp /dev/null "$me.log"

D=$HOME/tmp/+abmail/test-regression/
for T in	\
trash	\
spam	\
inbox	\
inbox-2004	\
spam0	\
spam1	\
spam2	\
spam2-20060519	\
spam2-20060526	\
test-20060612	\
ml_news	\
seiken-20070314	\
; do

[ ${T} = "" ] && break

if [ ! -d Mail/${T}-spam ]; then
  tar xjf $D/Mail_${T}.tar.bz2
  mv Mail/${T} Mail/${T}-nospam
  mkdir Mail/${T}-spam
else
  mv Mail/${T}-spam/* Mail/${T}-nospam/
fi
echo ${T}: >> "$me.log"
#/usr/bin/time find Mail/${T}-nospam -name '[0-9]*' -exec ./abmailmv ${abmail_flags} {} Mail/${T}-spam \; >> "$me.log" 2>&1
/usr/bin/time ./abmail ${abmail_flags} + Mail/${T}-nospam 2>> "$me.log" | while read f; do mv "$f" Mail/${T}-spam; done

done
mv "$me.log" Mail/

exit
