#!/bin/sh
maildir=Maildir
[ ! -d "$maildir" ] &&
mkdir "$maildir"
cat <<EOF >"$maildir".rc
MAILDIR="`pwd`/$maildir"
LOGFILE="`pwd`/$maildir.log"

:0
./
EOF
find . -name '[0-9]*' | while read path; do
  cat "$path" | procmail `pwd`/"$maildir".rc
done
rm -f "$maildir".rc "$maildir".log
